#{extends 'border.html'/}
<div class="container">
#{form @masterdata.DokumenTemplateCtr.editSubmit(), method:'POST', class:'form-horizontal save'}

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.DokumenTemplateCtr.index()}">&{'template_dokumen.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'template_dokumen.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            	#{backButton/}
            	#{saveButton/}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->
    
    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
    				<input type="hidden" name="dok.id" value="${dok?.id}"/>
                    <input type="hidden" name="dok.konten_kategori_id" value="${kon.id}"/>
				    <div class="form-group">
				        <label class="col-md-2 control-label">&{'tipe_dokumen.label'}</label>
				        <div class="col-md-8">
				            <input type="text" class="form-control" name="dok.jenis_dokumen" value="${dok.jenis_dokumen}" readonly>
				        </div>
				    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'status.label'} &{'aktif.label'}</label>
                        <div class="col-md-2">
							<select name="dok.active" class="form-control select2">
								<option value="0" ${dok.active ? "" : "selected"}>&{'tidak.label'}</option>
                            	<option value="1" ${dok.active ? "selected" : ""}>&{'ya.label'}</option>
                            </select>
                        </div>
                    </div>
				    <div class="form-group">
				        <label class="col-md-2 control-label">&{'template.label'}</label>
				        <div class="col-md-8">
				            <textarea rows="30" name="dok.template" id="template" class="form-control">${dok?.template}</textarea>
				        </div>
				    </div>
    			</div>
    		</div>
    	</div>
    </div>
#{/form}
</div>

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script type="text/javascript">
//    CKEDITOR.replace( 'template');
	tinymce.init({
		selector : '#template',
		menubar : true,
		images_upload_base_path : "@{'/public/files/image'}",
		plugins : 'advlist autolink link image lists charmap print preview code table',
		a_plugin_option: true,
		a_configuration_option: 400,
		images_upload_handler: function (blobInfo, success, failure) {
			var xhr, formData;
			xhr = new XMLHttpRequest();
			xhr.withCredentials = false;
			xhr.open('POST', '@{MediaManager.upload()}');

			xhr.onload = function() {
				var json;

				if (xhr.status != 200) {
					failure('HTTP Error: ' + xhr.status);
					return;
				}

				json = JSON.parse(xhr.responseText);

				if (!json || typeof json.location != 'string') {
					failure('Invalid JSON: ' + xhr.responseText);
					return;
				}

				success(json.location);
			};

			formData = new FormData();
			formData.append('file', blobInfo.blob(), blobInfo.filename());

			xhr.send(formData);
		},
		image_caption: true,
		image_list: "@{MediaManager.listImageGallery()}"
	});
</script>

<script>
	jQuery('.save').submit(function(){
		var isiKonten  = tinymce.get('template').getContent();
		var isiKontenE = htmlEscape(isiKonten);//ini fungsi encode
		tinymce.get('template').setContent(isiKontenE);
	});
</script>

#{/set}